[Python-bugs-list] [ python-Bugs-635862 ] Py 2.2.2 does not build on latest Cygwin

noreply@sourceforge.net noreply@sourceforge.net
Sat, 09 Nov 2002 06:38:22 -0800


Bugs item #635862, was opened at 2002-11-08 23:37
You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=105470&aid=635862&group_id=5470

Category: Build
Group: Python 2.2.2
Status: Open
Resolution: None
Priority: 5
Submitted By: Andreas Jung (ajung)
Assigned to: Jason Tishler (jlt63)
Summary: Py 2.2.2 does not build on latest Cygwin

Initial Comment:
Trying to compile Python 2.2.2 with latest Cygwin
version under XP fails with the attached compilation
errors....might be a Cygwin problem but I have no idea
how to verify that.

-aj

----------------------------------------------------------------------

>Comment By: Jason Tishler (jlt63)
Date: 2002-11-09 05:38

Message:
Logged In: YES 
user_id=86216

This is a known Cygwin fork() issue.  Please see the following
for some background:

http://www.cygwin.com/ml/cygwin/2001-12/msg00894.html
http://sources.redhat.com/ml/cygwin/2002-07/msg00276.html

Use the following to workaround this problem:

$ # stop all Cygwin processes except for a single bash
$ wget -nd -P /usr/local/bin http://www.tishler.net/jason/software/rebase/rebase.exe
$ cd /usr/bin
$ rebase -v -b 0x68000000 -d -o 0x10000 *.dll
$ make

Does the build succeed now?  If not, then I have some other
workarounds. Please let me know either way. Thanks.

----------------------------------------------------------------------

You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=105470&aid=635862&group_id=5470